<template>   
  <v-data-table
    v-model="selected"   
    v-bind:headers="headers"
    v-bind:items="graphs"
    v-bind:single-select="singleSelect"
    v-bind:item-class= "row_classes" 
    item-key="name"    
    v-bind:search="search"
    show-select
    class="elevation-1"
  >
    <template v-slot:top>    
      <v-text-field
          v-model="search"  
          label="Search ..."       
          class="mx-4"
          style="background-color:#AABB00;"
        ></v-text-field>
    </template>
  </v-data-table>
</template>
<script>
  export default {
    data () {
      return {
        search: '',
        singleSelect: false,
        selected: [],
        headers: [
          {
            text: 'Processo',
            align: 'start',
            sortable: true,
            value: 'name',
          },
          { text: 'da_main', value: 'da_main' },
          { text: 'da_spec', value: 'da_spec' },
          {text:'another_col',value:'another_col'}       
        ],
        graphs: [
          {
            name: 'Frozen Yogurt',
            da_main: 159,
            da_spec: 6.0,
            another_col:34535345 
          },
          {
            name: 'Ice cream sandwich',
            da_main: 237,
            da_spec: 9.0        
          },
          {
            name: 'Eclair',
            da_main: 262,
            da_spec: 16.0           
          }      
        ],
      }
    },
    methods: {
    row_classes(item) {
      // console.log("----item=",item);
      return  "yellow"
    }
  },
  }
</script>
<style>
.orange1 {
  background-color: red;
}

</style>

  